.btn {
    padding: 10px 15px;
    background-color: transparent;
    border: 1px solid $border-gray;
    border-radius: 20px;
    font-weight: 700;
    font-size: 15px;
    line-height: 1.2;
    cursor: pointer;

    &:hover,
    &:focus {
        outline: none;
        background-color: $border-gray;
        transition: 0.2s ease-in-out;
    }

    &--brand {
        border-color: $brand-button;
        background-color: $brand-button;
        color: #fff;

        &:hover,
        &:focus {
            border-color: $brand-button;
            background-color: $brand-button;
            opacity: 0.8;
        }
    }

    &--icon {
        border: none;
        background-color: transparent;
        padding: 0;
    }

    &--toggle {
        display: none;
        flex-direction: column;
        justify-content: space-around;
        width: 20px;
        height: 20px;
        padding: 2px;
        border: none;
        border-radius: 0;
        background-color: transparent;

        @media (max-width: $media-m) {
            display: flex;
        }

        span {
            display: block;
            width: 16px;
            height: 2px;
            border-radius: 1px;
            background-color: $base-color;
        }

        &:hover {
            background-color: transparent;

            span {
                background-color: $brand-button;
            }
        }
    }
}